class UTSettingsApp extends UWindowDialogClientWindow;

//basic settings can be modified in this app window

var R6WindowButton buPause,buStart,buZulu,buSwitch,buHead,buWeap,buAuPau,buServs,buDMsg,buSMsg,buBMsg,buHMsg,buLAP,buVote,buAcc,buKick;

function Created ()
{
	super.Created ();
	buPause = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop,WinWidth,15,self));
	buPause.SetText("Pause or unpause countdown");
	buStart = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+16,WinWidth,15,self));
	buStart.SetText("Start the round instantly");
	buServs = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+32,WinWidth,15,self));
	buServs.SetText("Send message to server");
	buZulu = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+48,WinWidth,15,self));
	buZulu.SetText("Use zulu go-codes");
	buSwitch = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+64,WinWidth,15,self));
	buSwitch.SetText("Auto-switching maps");
	buVote = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+80,WinWidth,15,self));
	buVote.SetText("Allow voting for map");
	buKick = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+96,WinWidth,15,self));
	buKick.SetText("Auto-kick spectator if full");
	buAuPau = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+112,WinWidth,15,self));
	buAuPau.SetText("Pre-match auto pause");
	buLAP = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+128,WinWidth,15,self));
	buLAP.SetText("Set limited admin passwd");
	buAcc = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+144,WinWidth,15,self));
	buAcc.SetText("Set weapon accuracy");
	buHead = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+160,WinWidth,15,self));
	buHead.SetText("Headshot death messages");
	buWeap = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+176,WinWidth,15,self));
	buWeap.SetText("Weapon names in death messages");
	buDMsg = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+192,WinWidth,15,self));
	buDMsg.SetText("Add a death message");
	buSMsg = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+208,WinWidth,15,self));
	buSMsg.SetText("Add a suicide message");
	buBMsg = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+224,WinWidth,15,self));
	buBMsg.SetText("Add a bomb death message");
	buHMsg = R6WindowButton(CreateControl(class'R6WindowButton',WinLeft,WinTop+240,WinWidth,15,self));
	buHMsg.SetText("Add a headshot message");
}

function Notify (UWindowDialogControl C,byte E)
{
	if ( Root.Console.IsInState('Game') )//can't click when playing
	return;
	super.Notify(C,E);
	if ( E == DE_click )
	{
		switch (C)
		{
			case buPause:
			UTController(GetPlayerOwner()).ClientWantsPause();
			break;
			case buStart:
			UTController(GetPlayerOwner()).ClientWantsStart();
			break;
			case buZulu:
			UTController(GetPlayerOwner()).ClientWantsToggleZulu();
			break;
			case buSwitch:
			UTController(GetPlayerOwner()).ClientWantsToggleAutoSwitch();
			break;
			case buHead:
			UTController(GetPlayerOwner()).ClientWantsToggleHeadshotMsg();
			break;
			case buWeap:
			UTController(GetPlayerOwner()).ClientWantsWeaponName();
			break;
			case buAuPau:
			Root.Console.TypedStr = "setautopause ";
			Root.Console.bShowConsoleLog=false;
			Root.Console.GotoState('Typing');
			break;
			case buServs:
			Root.Console.TypedStr = "serversay ";
			Root.Console.bShowConsoleLog=false;
			Root.Console.GotoState('Typing');
			break;
			case buDMsg:
			Root.Console.TypedStr = "deathmsg add ";
			Root.Console.bShowConsoleLog=false;
			Root.Console.GotoState('Typing');
			break;
			case buSMsg:
			Root.Console.TypedStr = "suicidemsg add ";
			Root.Console.bShowConsoleLog=false;
			Root.Console.GotoState('Typing');
			break;
			case buBMsg:
			Root.Console.TypedStr = "bombmsg add ";
			Root.Console.bShowConsoleLog=false;
			Root.Console.GotoState('Typing');
			break;
			case buHMsg:
			Root.Console.TypedStr = "headshotmsg add ";
			Root.Console.bShowConsoleLog=false;
			Root.Console.GotoState('Typing');
			break;
			case buLAP:
			Root.Console.TypedStr = "NewLimitedPassword ";
			Root.Console.bShowConsoleLog=false;
			Root.Console.GotoState('Typing');
			break;
			case buVote:
			UTController(GetPlayerOwner()).ClientWantsToggleMapVote();
			break;
			case buAcc:
			Root.Console.TypedStr = "SetAccuracy ";
			Root.Console.bShowConsoleLog=false;
			Root.Console.GotoState('Typing');
			break;
			case buKick:
			UTController(GetPlayerOwner()).ClientWantsKickSpec();
			break;
		}
	}
}